# Uses of Class
org.apache.lucene.backward_codecs.compressing.CompressionMode

Packages that use CompressionMode
Package
Description
org.apache.lucene.backward_codecs.compressing
Compressing helper classes.
org.apache.lucene.backward_codecs.lucene50.compressing
Lucene 5.0 compressing format.
org.apache.lucene.backward_codecs.lucene87
Lucene 8.7 file format.

- ## Uses of CompressionMode in org.apache.lucene.backward_codecs.compressing

  Fields in org.apache.lucene.backward_codecs.compressing declared as CompressionMode
  Modifier and Type
  Field
  Description
  `static final CompressionMode`
  CompressionMode.`FAST`
  A compression mode that trades compression ratio for speed.
  `static final CompressionMode`
  CompressionMode.`FAST_DECOMPRESSION`
  This compression mode is similar to `FAST` but it spends more time compressing in order to improve the compression ratio.
  `static final CompressionMode`
  CompressionMode.`HIGH_COMPRESSION`
  A compression mode that trades speed for compression ratio.

- ## Uses of CompressionMode in org.apache.lucene.backward_codecs.lucene50.compressing

  Fields in org.apache.lucene.backward_codecs.lucene50.compressing declared as CompressionMode
  Modifier and Type
  Field
  Description
  `protected final CompressionMode`
  Lucene50CompressingStoredFieldsFormat.`compressionMode`
  compression mode
  `protected final CompressionMode`
  Lucene50CompressingTermVectorsFormat.`compressionMode`
  compression mode
  Constructors in org.apache.lucene.backward_codecs.lucene50.compressing with parameters of type CompressionMode
  Modifier
  Constructor
  Description
  ``
  `Lucene50CompressingStoredFieldsFormat(String formatName, String segmentSuffix, CompressionMode compressionMode, int chunkSize, int maxDocsPerChunk, int blockShift)`
  Create a new `Lucene50CompressingStoredFieldsFormat`.
  ``
  `Lucene50CompressingStoredFieldsFormat(String formatName, CompressionMode compressionMode, int chunkSize, int maxDocsPerChunk, int blockShift)`
  Create a new `Lucene50CompressingStoredFieldsFormat` with an empty segment suffix.
  ``
  `Lucene50CompressingStoredFieldsReader(Directory d, SegmentInfo si, String segmentSuffix, FieldInfos fn, IOContext context, String formatName, CompressionMode compressionMode)`
  Sole constructor.
  ``
  `Lucene50CompressingTermVectorsFormat(String formatName, String segmentSuffix, CompressionMode compressionMode, int chunkSize, int maxDocsPerChunk, int blockSize)`
  Create a new `Lucene50CompressingTermVectorsFormat`.
  ``
  `Lucene50CompressingTermVectorsReader(Directory d, SegmentInfo si, String segmentSuffix, FieldInfos fn, IOContext context, String formatName, CompressionMode compressionMode)`
  Sole constructor.

- ## Uses of CompressionMode in org.apache.lucene.backward_codecs.lucene87

  Subclasses of CompressionMode in org.apache.lucene.backward_codecs.lucene87
  Modifier and Type
  Class
  Description
  `final class`
  `DeflateWithPresetDictCompressionMode`
  A compression mode that trades speed for compression ratio.
  `final class`
  `LZ4WithPresetDictCompressionMode`
  A compression mode that compromises on the compression ratio to provide fast compression and decompression.
  Fields in org.apache.lucene.backward_codecs.lucene87 declared as CompressionMode
  Modifier and Type
  Field
  Description
  `static final CompressionMode`
  Lucene87StoredFieldsFormat.`BEST_COMPRESSION_MODE`
  Compression mode for `Lucene87StoredFieldsFormat.Mode.BEST_COMPRESSION`
  `static final CompressionMode`
  Lucene87StoredFieldsFormat.`BEST_SPEED_MODE`
  Compression mode for `Lucene87StoredFieldsFormat.Mode.BEST_SPEED`